Subject: 3.19 on Nokia n900: audio quality awful

From: [email-masked] (Pavel Machek)
Date: Sun, 18 Jan 2015 13:01:39 +0100

Hi!

If you have any idea about playback problems, help would be still
welcome. I'll have to do bisect, otherwise, and it will not be easy.

> In 3.18, sound is nice and clear.
> 
> In 3.19, sound is unusable. It produces nasty tone when it should be
> quiet, and there's at least as much noise as is sound.
> 
> Unfortunately, list of mixers also changed (and there's cca 120
> settings), but a) it does not work with the old list and b) nothing I
> could figure out did make the sound usable. Some setting resulted in
> even more noise.
> 
> Any idea what could have caused it?

I tried audio recording this time.

In 2.6.28-nokia, it is neccessary to set "Input select" na "digital
mic", then it works. Input select being in "playback" option makes it
easy to miss.

In 3.18 and 3.19-rc3, all I can record are zeros.

Does playback/recording work for you on OMAP 3430-based machines?

Thanks,
									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html